| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions | Variables
GenericHID.c File Reference
`#include "GenericHID.h"`

Go to the source code of this file.

## Functions
static void | SetupHardware (void)
int | main (void)
| Main program entry point.
void | EVENT_USB_Device_Connect (void)
| USB Device connect event callback.
void | EVENT_USB_Device_Disconnect (void)
| USB Device disconnect event callback.
void | EVENT_USB_Device_ConfigurationChanged (void)
| USB Device configuration change event callback.
void | EVENT_USB_Device_ControlRequest (void)
| USB Device control request receive event callback.
void | EVENT_USB_Device_StartOfFrame (void)
bool | CALLBACK_HID_Device_CreateHIDReport (USB_ClassInfo_HID_Device_t *const HIDInterfaceInfo, uint8_t *const ReportID, const uint8_t ReportType, void *ReportData, uint16_t *const ReportSize)
| HID class driver callback for the user creation of a HID IN report. This callback may fire in response to either HID class control requests from the host, or by the normal HID endpoint polling procedure. Inside this callback the user is responsible for the creation of the next HID input report to be sent to the host.
void | CALLBACK_HID_Device_ProcessHIDReport (USB_ClassInfo_HID_Device_t *const HIDInterfaceInfo, const uint8_t ReportID, const uint8_t ReportType, const void *ReportData, const uint16_t ReportSize)
| HID class driver callback for the user processing of a received HID OUT report. This callback may fire in response to either HID class control requests from the host, or by the normal HID endpoint polling procedure. Inside this callback the user is responsible for the processing of the received HID output report from the host.

## Variables
static uint8_t | PrevHIDReportBuffer [GENERIC_REPORT_SIZE]
static USB_ClassInfo_HID_Device_t | Generic_HID_Interface

## Function Documentation

static void SetupHardware | ( | void |  | ) |
| static

Definition at line 70 of file GenericHID.c.

## Variable Documentation

USB_ClassInfo_HID_Device_t Generic_HID_Interface
| static

Initial value:
= {
.Config = {
.InterfaceNumber = 0,
.ReportINEndpointNumber = GENERIC_IN_EPNUM,
.ReportINEndpointSize = GENERIC_EPSIZE,
.ReportINEndpointDoubleBank = false,
.PrevReportINBuffer = PrevHIDReportBuffer,
.PrevReportINBufferSize = sizeof(PrevHIDReportBuffer),
.PortNumber = 0,
},
}

nxpUSBlib HID Class driver interface configuration and state information. This structure is passed to all HID Class driver functions, so that multiple instances of the same class within a device can be differentiated from one another.

Definition at line 46 of file GenericHID.c.

uint8_t PrevHIDReportBuffer[GENERIC_REPORT_SIZE]
| static

Buffer to hold the previously generated HID report, for comparison purposes inside the HID class driver.

Definition at line 40 of file GenericHID.c.